API server
https://app.coolify.io/api/v1Get runtime container logs for a preview deployment by application UUID and pull request ID. Requires the read:sensitive or root token ability.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
UUID of the application.
pull_request_id*integer
Pull request ID of the preview deployment.
Range
1 <= valueQuery Parameters
lines?|
Number of lines to show from the end of the logs. Use all to return all logs. -1 remains available as a compatibility alias.
show_timestamps?boolean
Show timestamps in the logs.
Default
falseResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/applications/string/previews/1/logs"{ "logs": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}